import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const shoppingvendorwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => ShoppingVendorWhereInputObjectSchema), z.lazy(() => ShoppingVendorWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => ShoppingVendorWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => ShoppingVendorWhereInputObjectSchema), z.lazy(() => ShoppingVendorWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  vendorName: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  websiteUrl: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  loginUsername: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  loginPassword: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const ShoppingVendorWhereInputObjectSchema: z.ZodType<Prisma.ShoppingVendorWhereInput> = shoppingvendorwhereinputSchema as unknown as z.ZodType<Prisma.ShoppingVendorWhereInput>;
export const ShoppingVendorWhereInputObjectZodSchema = shoppingvendorwhereinputSchema;
